> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark Reviews Alerts Viewed Route

> Upsert on Alerts tab mount — resets the unread counter (PR D3a).



## OpenAPI

````yaml /openapi.json post /api/v1/brands/{brand_id}/brand-intelligence/reviews/alerts/mark-viewed
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brands/{brand_id}/brand-intelligence/reviews/alerts/mark-viewed:
    post:
      tags:
        - Brand Intelligence
        - Brand Intelligence
      summary: Mark Reviews Alerts Viewed Route
      description: Upsert on Alerts tab mount — resets the unread counter (PR D3a).
      operationId: >-
        mark_reviews_alerts_viewed_route_api_v1_brands__brand_id__brand_intelligence_reviews_alerts_mark_viewed_post
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Brand Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReviewsAlertsMarkViewedResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ReviewsAlertsMarkViewedResponse:
      properties:
        last_viewed_at:
          type: string
          format: date-time
          title: Last Viewed At
      type: object
      required:
        - last_viewed_at
      title: ReviewsAlertsMarkViewedResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````